/// <reference path="C:/Users/RUI/OneDrive/lib/aftereffects.d.ts/ae.d.ts"/>

(function () {
  const GIF_SUPPORT_EXTENTION: string[] = ["GIF:*.gif", "All files:*.*"];
  const JPEG_SUPPORT_EXTENTION: string[] = ["JPEG:*.jpg", "All files:*.*"];
  const FFX_SUPPORT_EXTENTION: string[] = ["Adobe After Effects Preset:*.ffx", "All files:*.*"];

  let folderPath:Folder = Folder.desktop;
  if (app.project.file != null) {
    folderPath = app.project.file.parent;
  }

  const gifFile: File = new File(decodeURIComponent(String(folderPath))).openDlg("Select File", GIF_SUPPORT_EXTENTION);
  if(gifFile == null){
    return 0;
  }

  folderPath = gifFile.parent;

  const jpegFile: File = new File(decodeURIComponent(String(folderPath))).openDlg("Select File", JPEG_SUPPORT_EXTENTION);
  if(jpegFile == null){
    return 0;
  }

  folderPath = jpegFile.parent;

  const ffxFile: File = new File(decodeURIComponent(String(folderPath))).openDlg("Select File", FFX_SUPPORT_EXTENTION);
  if(ffxFile == null){
    return 0;
  }

  app.injectPresetAnimation(jpegFile, gifFile, ffxFile);
}).call(this);
